Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordio
Class RecordFilterPrefilter

    java.lang.Object
      com.servingxml.components.recordio.RecordFilterPrefilter

All Implemented Interfaces:
  RecordFilter, RecordReader, RecordWriter

    public final class RecordFilterPrefilter

extends java.lang.Object
implements RecordFilter

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.recordio.RecordReader
`RecordReader.NullRecordReader`

Nested classes/interfaces inherited from interface com.servingxml.components.recordio.RecordWriter
`RecordWriter.DefaultDiscardWriter, RecordWriter.NullRecordWriter`

Field Summary

Fields inherited from interface com.servingxml.components.recordio.RecordFilter
`NULL`

Fields inherited from interface com.servingxml.components.recordio.RecordWriter
`DEFAULT_DISCARD_WRITER`

Constructor Summary
`RecordFilterPrefilter(ParameterDescriptor[] parameterDescriptors)`

Method Summary
`void` | `close()`
`void` | `discardRecord(ServiceContext context, Flow flow, ServingXmlException e)`
`void` | `endRecordStream(ServiceContext context, Flow flow)`
`RecordWriter` | `getDiscardWriter()`
`Expirable` | `getExpirable()`
`Key` | `getKey()`
`RecordWriter` | `getRecordWriter()`
`void` | `readRecords(ServiceContext context, Flow flow)`
`void` | `setDiscardWriter(RecordWriter discardWriter)`
`void` | `setRecordReader(RecordReader recordReader)`
`void` | `setRecordWriter(RecordWriter recordWriter)`
`void` | `startRecordStream(ServiceContext context, Flow flow)`
`void` | `writeRecord(ServiceContext context, Flow flow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordFilterPrefilter

    public RecordFilterPrefilter(ParameterDescriptor[] parameterDescriptors)

Method Detail

### getRecordWriter

    public RecordWriter getRecordWriter()

  Specified by:
    `getRecordWriter` in interface `RecordReader`

### setRecordWriter

    public final void setRecordWriter(RecordWriter recordWriter)

  Specified by:
    `setRecordWriter` in interface `RecordReader`

### getDiscardWriter

    public RecordWriter getDiscardWriter()

  Specified by:
    `getDiscardWriter` in interface `RecordReader`

### setDiscardWriter

    public final void setDiscardWriter(RecordWriter discardWriter)

  Specified by:
    `setDiscardWriter` in interface `RecordReader`

### readRecords

    public final void readRecords(ServiceContext context,
                                  Flow flow)

  Specified by:
    `readRecords` in interface `RecordReader`

### getKey

    public final Key getKey()

  Specified by:
    `getKey` in interface `RecordReader`

### getExpirable

    public final Expirable getExpirable()

  Specified by:
    `getExpirable` in interface `RecordReader`

### startRecordStream

    public final void startRecordStream(ServiceContext context,
                                        Flow flow)

  Specified by:
    `startRecordStream` in interface `RecordWriter`

### endRecordStream

    public final void endRecordStream(ServiceContext context,
                                      Flow flow)

  Specified by:
    `endRecordStream` in interface `RecordWriter`

### writeRecord

    public final void writeRecord(ServiceContext context,
                                  Flow flow)

  Specified by:
    `writeRecord` in interface `RecordWriter`

### close

    public final void close()

  Specified by:
    `close` in interface `RecordWriter`

### setRecordReader

    public final void setRecordReader(RecordReader recordReader)

  Specified by:
    `setRecordReader` in interface `RecordFilter`

### discardRecord

    public void discardRecord(ServiceContext context,
                              Flow flow,
                              ServingXmlException e)

  Specified by:
    `discardRecord` in interface `RecordReader`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD